namespace Nivot.PowerShell.WindowsMobile.Rapi2
{
    /// <summary>
    /// Structure for power information of mobile device
    /// </summary>
    public struct PowerStatus
    {
        /// <summary>
        /// AC Power status
        /// </summary>
        public byte ACLineStatus;

        /// <summary>
        /// Backup battery present
        /// </summary>
        public byte BackupBatteryFlag;

        /// <summary>
        /// Total life when fully charged
        /// </summary>
        public int BackupBatteryFullLifeTime;

        /// <summary>
        /// Life remaining
        /// </summary>
        public byte BackupBatteryLifePercent;

        /// <summary>
        /// Life remaining
        /// </summary>
        public int BackupBatteryLifeTime;

        /// <summary>
        /// Battery flag
        /// </summary>
        public byte BatteryFlag;

        /// <summary>
        /// Battery life remaining
        /// </summary>
        public int BatteryFullLifeTime;

        /// <summary>
        /// Remaining battery life
        /// </summary>
        public byte BatteryLifePercent;

        /// <summary>
        /// Total battery life
        /// </summary>
        public int BatteryLifeTime;

        internal byte Reserved1;

        internal byte Reserved2;

        internal byte Reserved3;
    }
}